Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deMatrix44 Class Reference

`#include <deMath.hpp>`

List of all members.

## Public Member Functions
| ~deMatrix44 ()
| deMatrix44 ()
| deMatrix44 (const deTransformInfo &ref)
| deMatrix44 (const deVec3d &Right, const deVec3d &Up, const deVec3d &In, const deVec3d &Trans=deZeroVec)
| deMatrix44 (const deFloat f[4][4], deBoolean d3d)
| deMatrix44 (const deDouble d[4][4], deBoolean d3d)
void | operator= (const deDouble d[4][4])
void | Identity ()
void | Translation (const deVec3d &T)
void | Scaling (deDouble x, deDouble y, deDouble z)
void | Multiply (const deMatrix44 &right, deMatrix44 &out) const
void | Transform (const deVec3d &in, deVec3d &out) const
void | Transform (const deVec3d &in, deVec4d &out) const
void | Transform (const deVertex &in, deVec4d &out) const

## Constructor & Destructor Documentation

deMatrix44::~deMatrix44 | ( |  | ) | `[inline]`

deMatrix44::deMatrix44 | ( |  | ) | `[inline]`

deMatrix44::deMatrix44 | ( | const deTransformInfo & | ref | ) | `[inline]`

deMatrix44::deMatrix44 | ( | const deVec3d & | Right,
|  | const deVec3d & | Up,
|  | const deVec3d & | In,
|  | const deVec3d & | Trans = deZeroVec
| ) | `[inline]`

deMatrix44::deMatrix44 | ( | const deFloat | f[4][4],
|  | deBoolean | d3d
| ) |

deMatrix44::deMatrix44 | ( | const deDouble | d[4][4],
|  | deBoolean | d3d
| ) |

## Member Function Documentation

void deMatrix44::Identity | ( |  | ) | `[inline]`

void deMatrix44::Multiply | ( | const deMatrix44 & | right,
|  | deMatrix44 & | out
| ) | const

void deMatrix44::operator= | ( | const deDouble | d[4][4] | ) |

void deMatrix44::Scaling | ( | deDouble | x,
|  | deDouble | y,
|  | deDouble | z
| ) | `[inline]`

void deMatrix44::Transform | ( | const deVertex & | in,
|  | deVec4d & | out
| ) | const

void deMatrix44::Transform | ( | const deVec3d & | in,
|  | deVec4d & | out
| ) | const

void deMatrix44::Transform | ( | const deVec3d & | in,
|  | deVec3d & | out
| ) | const

void deMatrix44::Translation | ( | const deVec3d & | T | ) | `[inline]`

## Member Data Documentation

deDouble deMatrix44::_00

deDouble deMatrix44::_01

deDouble deMatrix44::_02

deDouble deMatrix44::_03

deDouble deMatrix44::_10

deDouble deMatrix44::_11

deDouble deMatrix44::_12

deDouble deMatrix44::_13

deDouble deMatrix44::_20

deDouble deMatrix44::_21

deDouble deMatrix44::_22

deDouble deMatrix44::_23

deDouble deMatrix44::_30

deDouble deMatrix44::_31

deDouble deMatrix44::_32

deDouble deMatrix44::_33

deDouble deMatrix44::m[4][4]

The documentation for this class was generated from the following files:

- deMath.hpp
- deMatrix4.cpp